//+------------------------------------------------------------------+
//|                                                          sed.mq4 |
//|                                                  Leonid Koiashov |
//|                                       http://forexanalytics.org/ |
//+------------------------------------------------------------------+
#property copyright "Leonid Koiashov"
#property link      "http://forexanalytics.org/"

//---- input parameters
extern double    prv=0.0; //  (  - )
extern double    prn=0.0; //  (  - )
extern double    Lot=0.1;
extern int       Prosk=3;
extern int    SL=50;
extern int    TP=20;
extern int    Otkat=12;
bool work = false;
bool main_work = true;
bool line = true;
bool dig = true;
      string l1 = "linetop";
      string l2 = "linedown";
      


int init() //
  {
   return(0);
  }
int deinit() //
  {
   ObjectDelete(l1); 
   ObjectDelete(l2); 
   return(0);
  }
//+------------------------------------------------------------------+
int start() //       
  {
   if (main_work == true)
{   
   int cur_min=TimeMinute(TimeCurrent()); //  (   )
   double price = Ask; // 
   
   if (line == true)
   {
      ObjectCreate(l1,OBJ_HLINE,0,0,prv); //  )
      ObjectCreate(l2,OBJ_HLINE,0,0,prn);
      line = false;
   }
   if (dig == true)
   {
   if (Digits==5 || Digits==3)
   {
      //!!! smile
      TP*=10;
      SL*=10;
      Prosk*=10;
      Otkat*=10;
   } 
   dig = false; //  1     ..
   } 
    
   if ((cur_min == 0) && ((price>prv)||(price<prn))  && ( TimeHour(TimeCurrent()) > 7) && ( TimeHour(TimeCurrent()) <= 12)  ) //   ,     25    
{ work = true;}  //       (   ) =) ..
   
   
   if (work == true) //      ..
   {
   //==================================================================================================
      
   
   int ticket;
   //Alert("minute ",cur_min);
   //==================================================================================================   
   //Alert(DoubleToStr(Point,10));
   if ((cur_min>=0) && (cur_min<=25)) //  //   "    .. ..   15 ..   ,   ..
      {
         if (cur_min == 25) //           25  
            main_work = false;   //        

       if (price>prv)  //   
            {
            if ((price-prv)>Otkat*Point) //   12    ( ) 15 )    .
               return(0); 
            else
               {                 
                  ticket=OrderSend(Symbol(),OP_BUY,Lot,Ask,Prosk,Ask-SL*Point,Bid+TP*Point," ",777777,0); main_work = (ticket<0) ; //
                  Sleep(5000);
                  if (ticket<0)
                     {
                           Print("  .  #",GetLastError());
                           return(0);
                     }
               }
            }

      if (price<prn) //    
         {
         if ((prn-price)>Otkat*Point) //   .
            return(0);
         else
            {                 
               ticket=OrderSend(Symbol(),OP_SELL,Lot,Bid,Prosk,Ask+SL*Point,Bid-TP*Point," ",777777,0); main_work = (ticket<0) ; //
               Sleep(5000);
               if (ticket<0)
                  {
                        Print("  .  #",GetLastError());
                        return(0);
                  }
            }
         }   


      }   
  //==========================================================================================================                   
    }        
}
  }
//+------------------------------------------------------------------+